Version française
Home     About     Download     Resources     Contact us    
Browse thread
ANNOUNCE: Status of OCaml in Fedora
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: Richard Jones <rich@a...>
Subject: Re: [Caml-list] ANNOUNCE: Status of OCaml in Fedora
On Sun, Aug 05, 2007 at 08:09:17PM +1000, skaller wrote:
> On Sun, 2007-08-05 at 14:31 +1000, Erik de Castro Lopo wrote:
> > skaller wrote:
> > 
> > > Oh yea, and apt is so Advanced a Package Tool .. it even
> > > understands source build dependencies .. NOT!
> > 
> >     apt-get build-dep <package>
> 
> Nope. There's no way to do it. This simply tries to install the
> *binary* packages required. You can't autobuild dependencies
> with apt, I've already investigated this. 

I guess that apt isn't Gentoo portage.

Even having this facility isn't going to help you much if you are
trying to upgrade to OCaml 3.10 because you still have to do the
manual work to fix camlp4 changes.

BTW: Debian people: I've done ocamlnet to 3.10 using a grotesque hack.
I wonder if anyone has worked on PXP?

Rich.

-- 
Richard Jones
Red Hat